Subject: GIO_EXTRA_MODULES on foreign distro

From: Konrad Hinsen <[email-masked]>
Date: Tue, 01 Apr 2025 15:28:19 +0200

Hi everyone,

since my last "guix pull" a few days ago, I get GIO-related error
messages for lots of applications that I installed via apt on my
Debian 12 system. Firefox/librewolf, Thunderbird, Zotero, gajim, ...

It's easy to work around, by wrapping these programs with a shell
script that sets GIO_EXTRA_MODULES to blank. But the sheer number
of programs affected makes this an unpleasant chore.

I doubt there is an easy fix, but in the long run, does it sound doable
to rename environment variables for versioned resources (such as the
Glib ABI in this case) to something that contains the version number?

Cheers,
  Konrad.